SDL_GetVideoDriver(3)

NAME
SDL_GetVideoDriver - Get the name of a built in video driver.

SYNOPSIS
#include <SDL3/SDL_video.h>

const char * SDL_GetVideoDriver(int index);

DESCRIPTION
The video drivers are presented in the order in which they are normally checked during initialization.

The names of drivers are all simple, low-ASCII identifiers, like "cocoa", "x11" or "windows". These never have Unicode characters, and are not meant to be proper names.

FUNCTION PARAMETERS

index
    the index of a video driver.

RETURN VALUE
Returns the name of the video driver with the given index.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetNumVideoDrivers(3)